# Cinder

# cinder::ImageIoRegistrar Struct Reference

`#include <ImageIo.h>`

List of all members.

## Classes
struct | Inst
## Public Types
typedef ImageSourceRef(* | SourceCreationFunc )(DataSourceRef)
typedef ImageTargetRef(* | TargetCreationFunc )(DataTargetRef, ImageSourceRef, const std::string &)
## Static Public Member Functions
static ImageSourceRef | createSource (DataSourceRef dataSource, std::string extension)
static ImageTargetRef | createTarget (DataTargetRef dataTarget, ImageSourceRef imageSource, std::string extension)
static void | registerSourceType (std::string extension, SourceCreationFunc func, int32_t priority=2)
static void | registerSourceGeneric (SourceCreationFunc func, int32_t priority=2)
static void | registerTargetType (std::string extension, TargetCreationFunc func, int32_t priority, const std::string &extensionData)
## Friends
class | ImageIo

## Member Typedef Documentation

typedef ImageSourceRef(* cinder::ImageIoRegistrar::SourceCreationFunc)(DataSourceRef)

typedef ImageTargetRef(* cinder::ImageIoRegistrar::TargetCreationFunc)(DataTargetRef, ImageSourceRef, const std::string &)

## Member Function Documentation

ImageSourceRef cinder::ImageIoRegistrar::createSource | ( | DataSourceRef | dataSource,
|  | std::string | extension |
| ) |  |  | `[static]`

ImageTargetRef cinder::ImageIoRegistrar::createTarget | ( | DataTargetRef | dataTarget,
|  | ImageSourceRef | imageSource,
|  | std::string | extension |
| ) |  |  | `[static]`

void cinder::ImageIoRegistrar::registerSourceType | ( | std::string | extension,
|  | SourceCreationFunc | func,
|  | int32_t | priority = `2` |
| ) |  |  | `[static]`

void cinder::ImageIoRegistrar::registerSourceGeneric | ( | SourceCreationFunc | func,
|  | int32_t | priority = `2` |
| ) |  |  | `[static]`

void cinder::ImageIoRegistrar::registerTargetType | ( | std::string | extension,
|  | TargetCreationFunc | func,
|  | int32_t | priority,
|  | const std::string & | extensionData |
| ) |  |  | `[static]`

## Friends And Related Function Documentation

friend class ImageIo`[friend]`

The documentation for this struct was generated from the following files:

- include/cinder/ImageIo.h
- src/cinder/ImageIo.cpp